<!DOCTYPE html> 
<html lang="en"> 

<head> 
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script> 
<meta charset="UTF-8"> 
<title>web8</title> 
<link rel="stylesheet" href="style.css"> 
</head> 

<body> 
<h1 class="contact">Контактная форма</h1> 
<div class="overlay js-overlay-campaign"> 
<div class="popup js-popup-campaign"> 
<h2>now you can see a popup</h2>
<form class="ajaxForm" name="publish" action="https://formcarry.com/s/hxwbjO67gC" accept-charset="UTF-8" > 

    <p>Имя 
    <input type="text" name="name"> 
    </p> 
    <p>Фамилия 
    <input type="text" name="secondname"> 
    </p> 
    
    <p>Почта 
    <input type="email" name="email"> 
    </p>  
    <label class="container">Подтвердить 
        <input type="checkbox" checked="checked"> 
        <span class="checkmark"></span> 
        </label> 
        <br> 
        <input type="submit" value="отправить"></input> 
        </form> 
        
<div class="close-popup js-close-campaign"></div> 
</div> 
</div> 





<script> 
const preperson = JSON.parse(localStorage.getItem('person')); 
const input1 = document.getElementsByName('name'); 
const input2 = document.getElementsByName('secondname'); 
const input3 = document.getElementsByName('email'); 
window.onload = function () { 
input1[0].value = preperson.name; 
input2[0].value = preperson.secondname; 
input3[0].value = preperson.email; 
console.log(input1); 
} 
$('.js-close-campaign').click(function () { 
history.pushState(null, null, '?page=5'); 
$('.js-overlay-campaign').fadeOut(); 

}); 

// закрыть по клику вне окна 
$(document).mouseup(function (e) { 

var popup = $('.js-popup-campaign'); 
if (e.target != popup[0] && popup.has(e.target).length === 0) { 
$('.js-overlay-campaign').fadeOut(); 

} 
}); 

// window.onunload = function () { 


// } 
window.onbeforeunload = function () { 
let person = { 
name: input1[0].value, 
secondname: input2[0].value, 
email: input3[0].value, 
} 
localStorage.setItem("person", JSON.stringify(person)); 
console.log(localStorage.getItem(person)); 
console.log(input1[0].value); 
return false; 
}; 

document.forms.publish.onsubmit = function (event) { 

}; 
$(window).on('load', function () { 
setTimeout(function () { 
if ($('.js-overlay-campaign').hasClass('disabled')) { 
return false; 
} else { 

$(".js-overlay-campaign").fadeIn(); 
} 
}, 5); 
}); 
</script> 
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<script>
$(function(){
    $(".ajaxForm").submit(function(e){
        e.preventDefault();
        var href = $(this).attr("action");
        $.ajax({
            type: "POST",
            dataType: "json",
            url: href,
            data: $(this).serialize(),
            success: function(response){
                if(response.status == "success"){
                    alert("We received your submission, thank you!");
                }else{
                    alert("An error occured: " + response.message);
                }
            }
        });
    });
});
</script>
</body> 

</html>
